curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
'{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}指定されたオブジェクトタイプの新しいプロパティーのコピーを作成して返します。
curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
'{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
HubSpotでのプロパティーの表示が制御されます。
booleancheckbox, calculation_equation, checkbox, date, file, html, number, phonenumber, radio, select, text, textarea プロパティーが含まれているプロパティーグループの名前。
HubSpotに表示される、人間が読めるプロパティーラベル。
このAPIを使用してプロパティーを参照する際に使用する必要がある内部プロパティー名。
プロパティーのデータ型。
bool, date, datetime, enumeration, number, phone_number, string 計算プロパティーの計算に使用される式を表します。
プロパティーのセンシティブ(慎重に扱うべき)レベルを示します。オプションにはhighly_sensitive、non_sensitive、sensitiveがあります。
highly_sensitive, non_sensitive, sensitive HubSpotにヘルプテキストとして表示されるプロパティーの説明。
プロパティーは、最も小さい正の整数値を先頭に表示されます。「-1」という値にすると、そのプロパティーは全ての正の値よりも後に表示されます。
「列挙」タイプのプロパティーにのみ適用されます。「referencedObjectType」が「OWNER」の場合はtrueに設定する必要があります。それ以外の場合はfalseに設定します。
HubSpotフォームにプロパティーを使用できるかどうか。
プロパティーの値が固有である必要があるかどうか。設定すると、変更はできません。
trueの場合、HubSpotにプロパティーは表示されず、使用できません。
currency, duration, formatted, percentage, probability, unformatted プロパティーの有効なオプションのリスト。このフィールドは列挙型のプロパティーに必要です。
Show child attributes
「externalOptions」がtrueの場合、「OWNER」に設定する必要があります。これにより、現在のHubSpotユーザーのオプション値が動的にプロパティーに取り込まれます。
successful operation
HubSpotプロパティー
HubSpotにヘルプテキストとして表示されるプロパティーの説明。
HubSpotでのプロパティーの表示が制御されます。
プロパティーが含まれているプロパティーグループの名前。
HubSpotに表示される、人間が読めるプロパティーラベル。
このAPIを使用してプロパティーを参照する際に使用する必要がある内部プロパティー名。
プロパティーに有効なオプションのリスト。このフィールドは列挙型のプロパティーに必要ですが、他のプロパティータイプでは空になります。
Show child attributes
プロパティーのデータ型。
プロパティーがアーカイブされているかどうか。
プロパティーがアーカイブされた日時
デフォルトのプロパティーの場合、trueはプロパティーがHubSpotプロセスによって計算されることを示します。カスタムプロパティーの場合は効果がありません。
計算プロパティーの計算に使用される式を表します。
プロパティーが作成された時刻のタイムスタンプ(ISO 8601形式)。
HubSpotでプロパティーを作成したユーザーの内部ユーザーID。プロパティーがHubSpot外で作成された場合、このフィールドは存在しない場合があります。
関連する通貨プロパティーの名前。
「non_sensitive」、「sensitive」、「highly_sensitive」など、プロパティーのセンシティブ(慎重に扱うべき)レベルを示します。
highly_sensitive, non_sensitive, sensitive 日付値を表示する方法を示します。「absolute」、「absolute_with_relative」、「time_since」、「time_until」などのオプションがあります。
absolute, absolute_with_relative, time_since, time_until プロパティーは、正の整数値の低い順に表示されます。
デフォルトのプロパティーの場合、trueはオプションがプロパティー設定外に格納されていることを示します。
HubSpotフォームにプロパティーを使用できるかどうか。
プロパティーの値が固有である必要があるかどうか。設定すると、変更はできません。
HubSpot UIでプロパティーが非表示になるかどうか。カスタムプロパティーの場合、これをfalseに設定することをお勧めします。
false
HubSpotに組み込まれているデフォルトのオブジェクトプロパティーではtrueになります。
Show child attributes
HubSpotのUIでの数値プロパティーの表示方法と検証方法に関するヒント。「unformatted」、「formatted」、「currency」、「percentage」、「duration」、「probability」のいずれかにできます。
currency, duration, formatted, percentage, probability, unformatted このプロパティーが他のオブジェクトに関連している場合、ここに一覧で表示されます。
sensitiveDataがtrueの場合、プロパティーに含まれるセンシティブデータのタイプを示します(例:「HIPAA」)。
プロパティーによってアカウント設定で定義された通貨記号が表示されるかどうか。
プロパティーが最後に更新されたタイムスタンプ(ISO 8601形式)。
HubSpotでプロパティーを更新したユーザーの内部ユーザーID。プロパティーがHubSpot外で更新された場合、このフィールドは存在しない場合があります。